Mettre à jour le libellé d'association
curl --request PUT \
--url https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"associationTypeId": 123,
"label": "<string>",
"inverseLabel": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels"
payload = {
"associationTypeId": 123,
"label": "<string>",
"inverseLabel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({associationTypeId: 123, label: '<string>', inverseLabel: '<string>'})
};
fetch('https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'associationTypeId' => 123,
'label' => '<string>',
'inverseLabel' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels"
payload := strings.NewReader("{\n \"associationTypeId\": 123,\n \"label\": \"<string>\",\n \"inverseLabel\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"associationTypeId\": 123,\n \"label\": \"<string>\",\n \"inverseLabel\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"associationTypeId\": 123,\n \"label\": \"<string>\",\n \"inverseLabel\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Libellés
Update association label
Mettez à jour un nouveau libellé qui décrit la relation entre deux types d’objets CRM spécifiés. Cela permet d’apporter des modifications aux libellés d’association existants de sorte à mieux refléter la nature de la relation.
PUT
/
crm
/
associations
/
2026-09
/
{fromObjectType}
/
{toObjectType}
/
labels
Mettre à jour le libellé d'association
curl --request PUT \
--url https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"associationTypeId": 123,
"label": "<string>",
"inverseLabel": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels"
payload = {
"associationTypeId": 123,
"label": "<string>",
"inverseLabel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({associationTypeId: 123, label: '<string>', inverseLabel: '<string>'})
};
fetch('https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'associationTypeId' => 123,
'label' => '<string>',
'inverseLabel' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels"
payload := strings.NewReader("{\n \"associationTypeId\": 123,\n \"label\": \"<string>\",\n \"inverseLabel\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"associationTypeId\": 123,\n \"label\": \"<string>\",\n \"inverseLabel\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/associations/2026-09/{fromObjectType}/{toObjectType}/labels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"associationTypeId\": 123,\n \"label\": \"<string>\",\n \"inverseLabel\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Le type d'objet source dans l'association.
Le type d'objet cible dans l'association.
Corps
application/json
L'identifiant unique du type d'association.
Un descripteur qui fournit des informations contextuelles sur la relation entre les fiches d'informations associées.
Un descripteur facultatif pour la relation inverse entre les fiches d'informations associées.
Réponse
No content
Dernière modification le 6 octobre 2026